=== debian/changelog ===
xdg-desktop-portal-dde (1.0.6) unstable; urgency=medium

  * adapt to new screenshot

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Wed, 26 Jun 2024 18:42:06 +0800

xdg-desktop-portal-dde (1.0.5) unstable; urgency=medium

  * adapt to new dde-application-manager

 -- linxin <linxin@deepin.org>  Wed, 06 Sep 2023 11:04:06 +0800

xdg-desktop-portal-dde (1.0.4) unstable; urgency=medium

  * fix the problem of build
  * remove deprecated function
  * use dwayland not kwayland

 -- chenhongtao <chenhongtao@deepin.org>  Fri, 9 Jun 2023 16:21:26 +0800

xdg-desktop-portal-dde (1.0.3) unstable; urgency=medium

  * Release 1.0.3

 -- fanpengcheng <fanpengcheng@uniontech.com>  Thu, 11 May 2023 16:21:26 +0800

xdg-desktop-portal-dde (1.0.2) unstable; urgency=medium

  * Release 1.0.2

 -- fanpengcheng <fanpengcheng@uniontech.com>  Thu, 11 May 2023 15:21:53 +0800

xdg-desktop-portal-dde (1.0.1) unstable; urgency=medium

  * Release 1.0.1

 -- lichangze <ut001335@uniontech.com>  Fri, 28 Apr 2023 17:16:00 +0800

xdg-desktop-portal-dde (1.0.0) unstable; urgency=medium

  * Release 1.0.0

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 10 Nov 2022 17:14:03 +0800
