=== debian/control ===
Source: xdg-desktop-portal-dde
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
  cmake (>= 3.0~),
  dbus-x11,
  debhelper (>= 11~),
  pkgconf,
  qt6-base-dev,
  qt6-base-private-dev,
  qt6-wayland,
  qt6-wayland-dev,
  qt6-wayland-private-dev,
  qt6-wayland-dev-tools,
  libpipewire-0.3-dev,
  libwayland-dev,
  wlr-protocols,
Standards-Version: 4.5.0

Package: xdg-desktop-portal-dde
Architecture: any
Depends:
  ${shlibs:Depends},
  ${misc:Depends}
Description: Dtk poortal backend for xdg-desktop-portal
  xdg-desktop-portal-dde provide a DTK implementation for the
  desktop-agnostic xdg-desktop-portal service. This allows sandboxed
  applications to request services from outside the sandbox using
  Dtk GUIs (app chooser, file chooser, print dialog) or using GNOME
  services (session manager, screenshot provider).
