=== debian/control ===
--- 
+++ 
@@ -16,6 +16,9 @@
   libpipewire-0.3-dev,
   libwayland-dev,
   wlr-protocols,
+  libdtk6widget-dev,
+  libdtk6core-dev,
+  treeland-protocols,
 Standards-Version: 4.5.0
 
 Package: xdg-desktop-portal-dde
