## xdg-desktop-portal-dde 1.0.11

=== src/wayland/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
 find_package(PkgConfig REQUIRED)
 pkg_get_variable(WlrProtocols_PKGDATADIR wlr-protocols pkgdatadir)
 find_package(Qt6 COMPONENTS REQUIRED Core DBus WaylandClient WaylandScannerTools)
+find_package(TreelandProtocols REQUIRED)
+
 
 add_library(xdg-desktop-portal-dde-wayland SHARED
     portalwaylandcontext.h
@@ -11,10 +13,13 @@
     protocols/screencopy.h
     protocols/screencopy.cpp
     protocols/common.h
+    protocols/treelandcapture.h
+    protocols/treelandcapture.cpp
 )
 
-qt_generate_wayland_protocol_client_sources(xdg-desktop-portal-dde-wayland FILES
+qt6_generate_wayland_protocol_client_sources(xdg-desktop-portal-dde-wayland FILES
     ${WlrProtocols_PKGDATADIR}/unstable/wlr-screencopy-unstable-v1.xml
+    ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-capture-unstable-v1.xml
 )
 
 target_include_directories(xdg-desktop-portal-dde-wayland
@@ -32,3 +37,5 @@
     Qt6::GuiPrivate
     Qt6::WaylandClientPrivate
 )
+
+install(TARGETS xdg-desktop-portal-dde-wayland DESTINATION ${CMAKE_INSTALL_LIBDIR})
