=== debian/changelog ===
xdg-desktop-portal-dde (1.0.11) unstable; urgency=medium

  * feat: [filechooser] The fileName not show in file chooser dialog.

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 05 Jun 2025 20:53:01 +0800

xdg-desktop-portal-dde (1.0.10) unstable; urgency=medium

  * fix: improve palette change handling and translation loading

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 29 May 2025 14:47:47 +0800
