## xdg-desktop-portal-dde 1.0.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 )
 
 set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
