=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
     Widgets
     WaylandClient)
 find_package(Qt6WaylandScannerTools REQUIRED)
+find_package(Dtk6 REQUIRED COMPONENTS Core Widget)
+find_package(TreelandProtocols REQUIRED)
 
 set_source_files_properties(
                       ${CMAKE_SOURCE_DIR}/misc/org.freedesktop.Notifications.xml
@@ -67,6 +69,8 @@
     utils.cpp
     personalization_manager_client.h
     personalization_manager_client.cpp
+    accessdialog.h
+    accessdialog.cpp
 )
 
 add_executable(${PROJECT_NAME}
@@ -74,10 +78,11 @@
 
 qt6_generate_wayland_protocol_client_sources(${PROJECT_NAME}
     FILES
-    ${CMAKE_SOURCE_DIR}/protocol/treeland-personalization-manager-v1.xml
+    ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-personalization-manager-v1.xml
 )
 
 target_link_libraries(${PROJECT_NAME} PUBLIC
+    Dtk6::Widget
     Qt::Core
     Qt::Widgets
     Qt::Gui
