## xdg-desktop-portal-dde 1.1.1

=== src/wayland/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,9 @@
 pkg_get_variable(WlrProtocols_PKGDATADIR wlr-protocols pkgdatadir)
 pkg_get_variable(WAYLANDPROTOCOlS_PKGDATADIR wayland-protocols pkgdatadir)
 find_package(Qt6 COMPONENTS REQUIRED Core DBus WaylandClient WaylandScannerTools Quick)
+if(Qt6_VERSION VERSION_GREATER_EQUAL 6.10)
+  find_package(Qt6 COMPONENTS GuiPrivate WaylandClientPrivate REQUIRED)
+endif()
 find_package(Dtk6 COMPONENTS Core Gui Declarative REQUIRED)
 find_package(TreelandProtocols REQUIRED)
 find_package(Libdrm REQUIRED)
@@ -32,8 +35,6 @@
     screencastsession.cpp
     fpslimit.h
     fpslimit.c
-    pipewiretimer.h
-    pipewiretimer.c
     pipewireutils.h
     pipewireutils.cpp
     pipewirecore.h
@@ -42,8 +43,6 @@
     screencastportal.cpp
     screencastcontext.h
     screencastcontext.cpp
-    pipewirestream.h
-    pipewirestream.cpp
     portalcommon.h
     remotedesktopsession.h
     remotedesktopsession.cpp
@@ -64,6 +63,22 @@
     request2.cpp
     restoredata.h
     restoredata.cpp
+    protocols/foreigntoplevellist.h
+    protocols/foreigntoplevellist.cpp
+    protocols/imagecopycapture.h
+    protocols/imagecopycapture.cpp
+    protocols/imagecapturesource.h
+    protocols/imagecapturesource.cpp
+    toplevelmodel.h
+    toplevelmodel.cpp
+    amhelper.h
+    amhelper.cpp
+    abstractpipewirestream.h
+    abstractpipewirestream.cpp
+    outputpipewirestream.h
+    outputpipewirestream.cpp
+    toplevelpipewirestream.h
+    toplevelpipewirestream.cpp
 )
 
 qt6_generate_wayland_protocol_client_sources(xdg-desktop-portal-dde-wayland FILES
@@ -71,6 +86,9 @@
     ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-capture-unstable-v1.xml
     /usr/share/wayland/wayland.xml
     ${WAYLANDPROTOCOlS_PKGDATADIR}/unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml
+    ${WAYLANDPROTOCOlS_PKGDATADIR}/staging/ext-foreign-toplevel-list/ext-foreign-toplevel-list-v1.xml
+    ${WAYLANDPROTOCOlS_PKGDATADIR}/staging/ext-image-copy-capture/ext-image-copy-capture-v1.xml
+    ${WAYLANDPROTOCOlS_PKGDATADIR}/staging/ext-image-capture-source/ext-image-capture-source-v1.xml
 )
 
 # Patch the generated linux-dmabuf protocol header to include core wayland interface
@@ -104,7 +122,9 @@
     VERSION 1.0
     QML_FILES
         ScreencastChooserWindow.qml
-        ScreenList.qml
+        OutputListView.qml
+        ToplevelList.qml
+        Background.qml
 )
 
 target_link_libraries(xdg-desktop-portal-dde-wayland
@@ -126,3 +146,4 @@
 )
 
 install(TARGETS xdg-desktop-portal-dde-wayland DESTINATION ${CMAKE_INSTALL_LIBDIR})
+install(FILES icons/portal-screencast.dci DESTINATION share/dsg/icons/)
